Bug 277221 - (CVE-2007-3477) CVE-2007-3477 libgd arc drawing functions can consume large amount of CPU time
CVE-2007-3477 libgd arc drawing functions can consume large amount of CPU time
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
public=20070621,reported=20070628,sou...
: Security
Depends On: 277411 277421
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-04 15:48 EDT by Lubomir Kundrak
Modified: 2011-08-15 14:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 07:57:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-09-04 15:48:17 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-3477 to the following vulnerability:

The (a) imagearc and (b) imagefilledarc functions in GD Graphics Library (libgd) before 2.0.35 allow attackers to cause a denial of service (CPU consumption) via a large (1) start or (2) end angle degree value.

References:

http://www.libgd.org/ReleaseNote020035
http://bugs.libgd.org/?do=details&task_id=74
http://bugs.libgd.org/?do=details&task_id=92
Comment 2 Tomas Hoger 2008-02-11 10:37:14 EST
Original fix:

http://cvs.php.net/viewcvs.cgi/gd/libgd/src/gd.c?r1=1.53&r2=1.54

and additional enhancement to fix regression introduced by the original fix:

http://cvs.php.net/viewcvs.cgi/gd/libgd/src/gd.c?r1=1.58&r2=1.59
Comment 3 Tomas Hoger 2008-02-13 07:50:28 EST
Due to minimal impact of this flaw (temporary DoS by high CPU usage) and low
likelihood of this problem being exposed in a way that would allow trust
boundary crossing, we currently do not plan to backport fix for this issue to
versions of gd shipped in current versions of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.